"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.asyncInitTheme = exports.ThemeSlice = void 0;
exports.useThemeMode = useThemeMode;
var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));
var _toolkit = require("@reduxjs/toolkit");
var _reactRedux = require("react-redux");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const initialState = {
  dark: false,
  initializing: true
};
const asyncInitTheme = exports.asyncInitTheme = (0, _toolkit.createAsyncThunk)("asyncInitTheme", async () => {
  const dark = await _asyncStorage.default.getItem("dark");
  return Boolean(dark);
});
const ThemeSlice = exports.ThemeSlice = (0, _toolkit.createSlice)({
  name: "ThemeSlice",
  initialState,
  reducers: {
    setDark: (state, {
      payload
    }) => {
      state.dark = payload;
      console.log(payload);
      _asyncStorage.default.setItem("dark", String(payload));
    }
  },
  extraReducers: builder => {
    builder.addCase(asyncInitTheme.pending, state => {
      state.initializing = true;
    }).addCase(asyncInitTheme.fulfilled, (state, {
      payload
    }) => {
      state.initializing = false;
      state.dark = payload;
    }).addCase(asyncInitTheme.rejected, state => {
      state.initializing = false;
    });
  }
});
const actions = ThemeSlice.actions;
function useThemeMode() {
  const theme = (0, _reactRedux.useSelector)(state => state.theme);
  const dispatch = (0, _reactRedux.useDispatch)();
  const toggleDarkMode = () => {
    dispatch(actions.setDark(!theme.dark));
  };
  return {
    ...theme,
    toggleDarkMode
  };
}
//# sourceMappingURL=ThemeSlice.js.map