"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fontWeights = exports.fontSizes = void 0;
var _reactNative = require("react-native");
var _responsive = require("./responsive");
const fontSize = (0, _responsive.wp)(5);
const fontSizes = exports.fontSizes = {
  xs: fontSize - 8,
  sm: fontSize - 4,
  regular: fontSize,
  md: fontSize + 2,
  lg: fontSize + 4,
  xl: fontSize + 6,
  "2xl": fontSize + 8,
  "3xl": fontSize + 10,
  "4xl": fontSize + 12
};
const fontWeights = exports.fontWeights = {
  thin: {
    fontFamily: _reactNative.Platform.select({
      android: "Montserrat-Light",
      ios: "Montserrat-Light",
      web: "Montserrat-Light"
    })
  },
  regular: {
    fontFamily: _reactNative.Platform.select({
      android: "Montserrat-Regular",
      ios: "Montserrat-Regular",
      web: "Montserrat-Regular"
    })
  },
  semiBold: {
    fontFamily: _reactNative.Platform.select({
      android: "Montserrat-SemiBold",
      ios: "Montserrat-SemiBold",
      web: "Montserrat-SemiBold"
    })
  },
  bold: {
    fontFamily: _reactNative.Platform.select({
      android: "Montserrat-Bold",
      ios: "Montserrat-Bold",
      web: "Montserrat-Bold"
    })
  },
  extraBold: {
    fontFamily: _reactNative.Platform.select({
      android: "Montserrat-Bold",
      ios: "Montserrat-Bold",
      web: "Montserrat-Bold"
    })
  }
};
//# sourceMappingURL=fonts.js.map