"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TabviewTabbar;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _ThemeSlice = require("src/theme/ThemeSlice");
var _useTheme = _interopRequireDefault(require("src/theme/useTheme"));
var _View = require("../views/View");
var _Text = require("../texts/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function TabviewTabbar(props) {
  const routes = props.navigationState.routes;
  const {
    colors
  } = (0, _useTheme.default)();
  const {
    dark
  } = (0, _ThemeSlice.useThemeMode)();
  return /*#__PURE__*/_react.default.createElement(_View.View, null, /*#__PURE__*/_react.default.createElement(_View.Row, {
    gap: 10
  }, routes.map((route, i) => {
    const active = props.navigationState.index === i;
    return /*#__PURE__*/_react.default.createElement(_View.View, {
      key: route.key,
      flex: 1,
      padding: 10
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
      key: route.key,
      onPress: () => {
        props.jumpTo(route.key);
      },
      style: {
        padding: 10
      }
    }, /*#__PURE__*/_react.default.createElement(_View.Center, null, /*#__PURE__*/_react.default.createElement(_View.View, {
      key: route.key,
      style: [active && {
        borderBottomWidth: 2,
        borderBottomColor: dark ? colors.text : colors.border
      }]
    }, /*#__PURE__*/_react.default.createElement(_Text.Text, {
      weight: active ? "bold" : "regular"
    }, route.title)))));
  })));
}
//# sourceMappingURL=TabviewTabbar.js.map